[xserver patch] remove dolt

Jeremy Huddleston jeremyhu at freedesktop.org
Thu Sep 30 09:35:13 PDT 2010


Good riddance.

Reviewed-by: Jeremy Huddleston <jeremyhu at apple.com>

On Sep 30, 2010, at 03:18, Adrian Bunk wrote:

> With libtool 2.2.10 the difference in build time is so small
> (< 5% with -j8 builds) that it isn't worth having this hack.
> 
> Signed-off-by: Adrian Bunk <bunk at stusta.de>
> 
> ---
> Makefile.am  |    2 -
> configure.ac |    1 -
> m4/dolt.m4   |  181 ----------------------------------------------------------
> 3 files changed, 0 insertions(+), 184 deletions(-)
> delete mode 100644 m4/dolt.m4
> 
> diff --git a/Makefile.am b/Makefile.am
> index 8b7a2c8..62c8d95 100644
> --- a/Makefile.am
> +++ b/Makefile.am
> @@ -56,8 +56,6 @@ DISTCHECK_CONFIGURE_FLAGS=\
> 	--with-xkb-bin-directory=$(XKB_BIN_DIRECTORY) \
> 	--with-xkb-output='$${datadir}/X11/xkb/compiled'
> 
> -DISTCLEANFILES = doltcompile doltlibtool
> -
> .PHONY: ChangeLog INSTALL
> 
> INSTALL:
> diff --git a/configure.ac b/configure.ac
> index 825eb69..479f54f 100644
> --- a/configure.ac
> +++ b/configure.ac
> @@ -71,7 +71,6 @@ AC_PROG_LN_S
> AC_LIBTOOL_WIN32_DLL
> AC_DISABLE_STATIC
> AC_PROG_LIBTOOL
> -DOLT
> AC_PROG_MAKE_SET
> PKG_PROG_PKG_CONFIG
> AC_PROG_LEX
> diff --git a/m4/dolt.m4 b/m4/dolt.m4
> deleted file mode 100644
> index 7c62b6c..0000000
> --- a/m4/dolt.m4
> +++ /dev/null
> @@ -1,181 +0,0 @@
> -dnl dolt, a replacement for libtool
> -dnl Copyright © 2007-2008 Josh Triplett <josh at freedesktop.org>
> -dnl Copying and distribution of this file, with or without modification,
> -dnl are permitted in any medium without royalty provided the copyright
> -dnl notice and this notice are preserved.
> -dnl
> -dnl To use dolt, invoke the DOLT macro immediately after the libtool macros.
> -dnl Optionally, copy this file into acinclude.m4, to avoid the need to have it
> -dnl installed when running autoconf on your project.
> -
> -AC_DEFUN([DOLT], [
> -AC_REQUIRE([AC_CANONICAL_HOST])
> -# dolt, a replacement for libtool
> -# Josh Triplett <josh at freedesktop.org>
> -AC_PATH_PROG(DOLT_BASH, bash)
> -AC_MSG_CHECKING([if dolt supports this host])
> -dolt_supported=yes
> -if test x$DOLT_BASH = x; then
> -    dolt_supported=no
> -fi
> -if test x$GCC != xyes; then
> -    dolt_supported=no
> -fi
> -case $host in
> -i?86-*-linux*|x86_64-*-linux*|powerpc-*-linux* \
> -|amd64-*-freebsd*|i?86-*-freebsd*|ia64-*-freebsd*)
> -    pic_options='-fPIC'
> -    ;;
> -i?86-pc-cygwin*)
> -    pic_options='-DDLL_EXPORT'
> -    ;;
> -i?86-apple-darwin*)
> -    pic_options='-fno-common'
> -    ;;
> -*)
> -    dolt_supported=no
> -    ;;
> -esac
> -if test x$dolt_supported = xno ; then
> -    AC_MSG_RESULT([no, falling back to libtool])
> -    LTCOMPILE='$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(COMPILE)'
> -    LTCXXCOMPILE='$(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXXCOMPILE)'
> -else
> -    AC_MSG_RESULT([yes, replacing libtool])
> -
> -dnl Start writing out doltcompile.
> -    cat <<__DOLTCOMPILE__EOF__ >doltcompile
> -#!$DOLT_BASH
> -__DOLTCOMPILE__EOF__
> -    cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -args=("$[]@")
> -for ((arg=0; arg<${#args@<:@@@:>@}; arg++)) ; do
> -    if test x"${args@<:@$arg@:>@}" = x-o ; then
> -        objarg=$((arg+1))
> -        break
> -    fi
> -done
> -if test x$objarg = x ; then
> -    echo 'Error: no -o on compiler command line' 1>&2
> -    exit 1
> -fi
> -lo="${args@<:@$objarg@:>@}"
> -obj="${lo%.lo}"
> -if test x"$lo" = x"$obj" ; then
> -    echo "Error: libtool object file name \"$lo\" does not end in .lo" 1>&2
> -    exit 1
> -fi
> -objbase="${obj##*/}"
> -__DOLTCOMPILE__EOF__
> -
> -dnl Write out shared compilation code.
> -    if test x$enable_shared = xyes; then
> -        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -libobjdir="${obj%$objbase}.libs"
> -if test ! -d "$libobjdir" ; then
> -    mkdir_out="$(mkdir "$libobjdir" 2>&1)"
> -    mkdir_ret=$?
> -    if test "$mkdir_ret" -ne 0 && test ! -d "$libobjdir" ; then
> -	echo "$mkdir_out" 1>&2
> -        exit $mkdir_ret
> -    fi
> -fi
> -pic_object="$libobjdir/$objbase.o"
> -args@<:@$objarg@:>@="$pic_object"
> -__DOLTCOMPILE__EOF__
> -    cat <<__DOLTCOMPILE__EOF__ >>doltcompile
> -"\${args@<:@@@:>@}" $pic_options -DPIC || exit \$?
> -__DOLTCOMPILE__EOF__
> -    fi
> -
> -dnl Write out static compilation code.
> -dnl Avoid duplicate compiler output if also building shared objects.
> -    if test x$enable_static = xyes; then
> -        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -non_pic_object="$obj.o"
> -args@<:@$objarg@:>@="$non_pic_object"
> -__DOLTCOMPILE__EOF__
> -        if test x$enable_shared = xyes; then
> -            cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -"${args@<:@@@:>@}" >/dev/null 2>&1 || exit $?
> -__DOLTCOMPILE__EOF__
> -        else
> -            cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -"${args@<:@@@:>@}" || exit $?
> -__DOLTCOMPILE__EOF__
> -        fi
> -    fi
> -
> -dnl Write out the code to write the .lo file.
> -dnl The second line of the .lo file must match "^# Generated by .*libtool"
> -    cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -{
> -echo "# $lo - a libtool object file"
> -echo "# Generated by doltcompile, not libtool"
> -__DOLTCOMPILE__EOF__
> -
> -    if test x$enable_shared = xyes; then
> -        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -echo "pic_object='.libs/${objbase}.o'"
> -__DOLTCOMPILE__EOF__
> -    else
> -        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -echo pic_object=none
> -__DOLTCOMPILE__EOF__
> -    fi
> -
> -    if test x$enable_static = xyes; then
> -        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -echo "non_pic_object='${objbase}.o'"
> -__DOLTCOMPILE__EOF__
> -    else
> -        cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -echo non_pic_object=none
> -__DOLTCOMPILE__EOF__
> -    fi
> -
> -    cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
> -} > "$lo"
> -__DOLTCOMPILE__EOF__
> -
> -dnl Done writing out doltcompile; substitute it for libtool compilation.
> -    chmod +x doltcompile
> -    LTCOMPILE='$(top_builddir)/doltcompile $(COMPILE)'
> -    LTCXXCOMPILE='$(top_builddir)/doltcompile $(CXXCOMPILE)'
> -
> -dnl automake ignores LTCOMPILE and LTCXXCOMPILE when it has separate CFLAGS for
> -dnl a target, so write out a libtool wrapper to handle that case.
> -dnl Note that doltlibtool does not handle inferred tags or option arguments
> -dnl without '=', because automake does not use them.
> -    cat <<__DOLTLIBTOOL__EOF__ > doltlibtool
> -#!$DOLT_BASH
> -__DOLTLIBTOOL__EOF__
> -    cat <<'__DOLTLIBTOOL__EOF__' >>doltlibtool
> -top_builddir_slash="${0%%doltlibtool}"
> -: ${top_builddir_slash:=./}
> -args=()
> -modeok=false
> -tagok=false
> -for arg in "$[]@"; do
> -    case "$arg" in
> -        --silent) ;;
> -        --mode=compile) modeok=true ;;
> -        --tag=CC|--tag=CXX) tagok=true ;;
> -        *) args@<:@${#args[@]}@:>@="$arg" ;;
> -    esac
> -done
> -if $modeok && $tagok ; then
> -    . ${top_builddir_slash}doltcompile "${args@<:@@@:>@}"
> -else
> -    exec ${top_builddir_slash}libtool "$[]@"
> -fi
> -__DOLTLIBTOOL__EOF__
> -
> -dnl Done writing out doltlibtool; substitute it for libtool.
> -    chmod +x doltlibtool
> -    LIBTOOL='$(top_builddir)/doltlibtool'
> -fi
> -AC_SUBST(LTCOMPILE)
> -AC_SUBST(LTCXXCOMPILE)
> -# end dolt
> -])
> -- 
> 1.7.1
> 
> _______________________________________________
> xorg-devel at lists.x.org: X.Org development
> Archives: http://lists.x.org/archives/xorg-devel
> Info: http://lists.x.org/mailman/listinfo/xorg-devel



More information about the xorg-devel mailing list